#include <iostream>

using namespace std;

int main()
{
    int t;
    cin>>t;
    long n,m,k;
    bool resenje[t];
    for(int i=0;i<t;i++)
    {
        cin>>n>>m>>k;
        long x=n/k;
        long o=n%k;
        long suma=(k-1)*x*(x+1)/2+(x+o)*(x+o+1)/2;
        if(suma<m){
            resenje[i]=true;
        }
    }

    for(int i=0;i<t-1;i++)
    {
        if(resenje[i]){
            cout<<"Tak\n";
        }
        else{
            cout<<"Nie\n";
        }

    }
    if(resenje[t-1]){
            cout<<"Tak";
        }
        else{
            cout<<"Nie";
        }

    return 0;
}